"""Requisito Previo Schemas"""

from typing import Optional
from pydantic import BaseModel, ConfigDict, Field


class RequisitoPrevioResponse(BaseModel):
    """Requisitos previos"""

    FRACCION: Optional[str] = Field(None, max_length=8)
    DESCRIPCION: Optional[str] = Field(None, max_length=1999)
    OBSERVACION: Optional[str] = Field(None, max_length=1999)
    DOF: Optional[str] = Field(None, max_length=8)
    VIGENCIA: Optional[str] = Field(None, max_length=8)
    NUMEROACUERDO: Optional[int] = None
    NUMEROCRITERIO: Optional[int] = None
    NUMEROFORMATO: Optional[int] = None
    NUMEROINSTRUCCIONES: Optional[int] = None
    HISTORICO: Optional[str] = Field(None, max_length=2000)
    NOTA: Optional[str] = Field(None, max_length=5000)
    PERMISO: Optional[str] = Field(None, max_length=2)
    IMPO: Optional[int] = None
    EXPO: Optional[int] = None
    NICO: Optional[str] = Field("", max_length=2)
    SYSID: int

    model_config = ConfigDict(from_attributes=True)
